libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.187. __nv_int_as_float

Prototype:

    float @__nv_int_as_float(i32 %x)

Description:

Reinterpret the bits in the signed integer value `x` as a single-precision floating point value.

Returns:

Returns reinterpreted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes